import type { ExecutionArgs } from "graphql";
import type { AsyncExecutionResult, ExecutionResult } from "graphql/execution/execute";
import type { GrafastTimeouts, PromiseOrDirect } from "./interfaces.js";
declare const $$contextPlanCache: unique symbol;
export interface GrafastPrepareOptions {
    explain?: boolean | string[];
    outputDataAsString?: boolean;
    timeouts?: GrafastTimeouts;
}
declare module "./engine/OperationPlan.js" {
    interface OperationPlan {
        [$$contextPlanCache]?: string;
    }
}
export declare function grafastPrepare(args: ExecutionArgs, options?: GrafastPrepareOptions): PromiseOrDirect<ExecutionResult | AsyncGenerator<AsyncExecutionResult, void, void>>;
export {};
//# sourceMappingURL=prepare.d.ts.map